Bhp085:-TshiloDikotla - Bug #2815
EDC CSV Reports missing key variables
22/06/2017 03:27 - Justine Legbedze

Status: Closed Start date: 22/06/2017
Priority: Urgent Due date:

Assignee: Leslie Kepaletswe % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Hi Leslie,

| ran all of the CSV reports in the EDC admin for Tshilo Dikotla today (6/21).

Below is a list of reports that are currently missing the "subject_identifier" field:
. Maternal ARV in this preg

. Maternal ARV Lifetime History

. Maternal Clinical Measurements 1

. Maternal Clinical Measurements 2

. Maternal Contraception

. Maternal Demographics

. Maternal Obstetrical History

. Maternal Off-study

9. Maternal Post Partum: Depression
10. Maternal Substance Use During Pregnancy
11. Maternal Ultrasound Initials

12. Rapid Test Result

13. Substance Use Prior to Pregnancy

Below is a list of reports that are currently missing the "report_datetime" field:
1. Maternal ARV

2. Maternal Consents

3. Infant NVP or AZT Proph: Mods

4. Aliquot

Both variables are important, because we need to run queries to determine areas for data cleanup. Please assist.

Thanks,
Justine

History

#1 - 22/06/2017 03:31 - Justine Legbedze
- File EDC Admin Forms_2017.06.21.xIsx added

#2 - 26/06/2017 20:33 - Leslie Kepaletswe

Maternal Locator cannot be added as CSV, there's participant contact information.

Consent_datetime on consent CSV represents report_datetime,

For missing subject_identifier that occurs, now and then, I'm not sure yet what causes it but | have shared it with the team to help me figure it out.
For the columns with the missing headers, I'm still working on the problem, | will update the server once the problem is fixed.

#3 - 26/06/2017 20:34 - Leslie Kepaletswe
- Status changed from New to Resolved

Maternal Locator cannot be added as CSV, there's participant contact information.

Consent_datetime on consent CSV represents report_datetime,

For missing subject_identifier that occurs, now and then, I'm not sure yet what causes it but | have shared it with the team to help me figure it out.

For the columns with the missing headers, I'm still working on the problem, | will update the server once the problem is fixed.

#4 - 29/06/2017 02:14 - Justine Legbedze

Hi Leslie,

I noticed that this ticket was marked as resolved, however, | ran 2 of the CSV reports and they still do not contain subject_identifiers. | read your comments
above - do you have an estimated time of completion for resolving these issues, especially the reports that are missing the subject_identifiers? We cannot
run data queries without this field. Please let me know.

Thanks,

Justine

#5 - 17/01/2018 00:49 - Justine Legbedze
- Status changed from Resolved to Closed

Closing this Redmine ticket on 1/16/2018, DMC to provide weekly CSV files from EDC, starting December 2017.

Files

EDC Admin Forms_2017.06.21.xIsx 16.6 KB 22/06/2017 Justine Legbedze

09/05/2025 22



